local soundsetutil = require "soundsetutil"

function data()

local data = soundsetutil.makeSoundSet()

soundsetutil.addTrackParam01
(data, "vehicle/e10vorserie/stand_e10.wav", 25.0,
		{
			{ 0.00 , 0.4 },
			{ 0.10, 0.3 },
			{ 0.15, 0.0 },
			{ 1.00 , 0.0 } 
		},
		{
			{ 0.0, 1.0 },
			{ 1.0, 1.0 } 
		}, 
		"speed01")

soundsetutil.addTrackParam01
(data, "vehicle/e10vorserie/fahrt_e10.wav", 25.0,
		{
			{0.00, 0   },
			{0.01, 0.8 },
			{0.31, 0.8 },
			{0.40, 0.6 },
			{0.60, 0.5 },
			{1.00, 0.4 }
		},
		{
			{0.0, 0.5 },
			{1.0, 1.25 } 
		},
		"speed01")
		

soundsetutil.addTrackParam01
(data, "vehicle/e10vorserie/luft_e10.wav", 25.0,
		{
			{0.0, 0 },
			{0.29, 0.1 },
			{0.33, 1.0 },
			{1.0, 0.5 }
		},
		{
			{0.0, 0 },
			{0.15, 1.0 },
			{1.0, 1.0 }
		}, 
		"speed01")
		
soundsetutil.addTrackParam01
(data, "vehicle/e10vorserie/141_brumm.wav", 25.0,
		{
			{0.0, 0 },
			{0.01, 0.1 },
			{0.25, 0.3 },
			{1.0, 0.4 },
		},
		{
			{0.0, 0.7 },
			{1.0, 2.0 },
		}, 
		"speed01")

soundsetutil.addTrackSqueal(data, "vehicle/e10vorserie/kurve.wav", 25.0)
soundsetutil.addTrackBrake(data, "vehicle/e10vorserie/bremse_alt.wav", 25.0, 1.0)

soundsetutil.addEvent(data, "horn", { "vehicle/e10vorserie/horn_e10.wav" }, 50.0)

return data

end